Get Blocked Users list

This API endpoint retrieves a paginated list of users who have been blocked from sending messages to your WhatsApp Business application. The endpoint supports cursor-based pagination for efficiently handling large lists of blocked users. This is useful for auditing blocked users, managing user access, and troubleshooting message delivery issues.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request Parameters

KeyDescriptionValueData typeRequired/OptionalConstraints
AuthorizationAccess Token for the application{{PARTNER_APP_TOKEN}}StringRequiredShould be a valid Partner App Access Token
appIdApp ID to fetch the access token{{APP_ID}}StringRequired
  • The Id should be a valid app Id of Gupshup.
  • The App must be associated with the account that owns the PARTNER_APP_TOKEN being used.
limitLimits the number of blocked users returned in the response.IntegerOptional- its optional
- default value is 100 if not specified
-maximum value is 100
afterSpecifies the starting point for the next set of results. (Next page)StringOptional- its optional
- the value of this field is present in the response of the get request

Sample Request

curl --location 'https://partner.gupshup.io/partner/app/{{APP_ID}}/user/blocklist?limit={{LIMIT}}&after={{AFTER}}' \
--header 'Authorization: {{PARTNER_APP_TOKEN}}'

Sample Response

{
    "data": [
        {
            "messaging_product": "whatsapp",
            "wa_id": "919163805873"
        },
        {
            "messaging_product": "whatsapp",
            "wa_id": "918910864371"
        }
    ],
    "paging": {
        "cursors": {
            "after": "eyJvZAmZAzZAXQiOjEsInZAlcnNpb25JZACI6IjE3NDEyNTc3OTI1NjY1MDAifQZDZD",
            "before": "eyJvZAmZAzZAXQiOjAsInZAlcnNpb25JZACI6IjE3NDEyNTc3OTI1NjY1MDAifQZDZD"
        }
    },
    "status": "success"
}

Status Codes

Status CodeResponseComments
Success
200

{

"data": [

{"messaging_product": "whatsapp",
"wa_id": "919163805873"
},
{
"messaging_product": "whatsapp",
"wa_id": "918910864371"
}
],
"paging": {
"cursors": {
"after": "eyJvZAmZAzZAXQiOjEsInZAlcnNpb25JZACI6IjE3NDEyNTc3OTI1NjY1MDAifQZDZD",
"before": "eyJvZAmZAzZAXQiOjAsInZAlcnNpb25JZACI6IjE3NDEyNTc3OTI1NjY1MDAifQZDZD"
}
},
"status": "success"
}

Path Params
string
required
Query Params
integer

Optional, default value is 100 if not specified

string

Optional, Specifies the starting point for the next set of results.

Headers
string
required
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json